@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Lora:ital,wght@0,400..700;1,400..700&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

:root {
  --main-white: #f0f0f0;
  --main-red: #be3144;
  --main-blue: #45567d;
  --main-gray: #303841;
  --background: #ffffff;
  --nav-and-header: #007bff;
  --links-and-buttons: #ffa500;
  --hover-higlight: #32cd32;
  --conatainer: #f5f5f5;
  --container-text: #003366;
  --input-placeholder: #c0c0c0;
  --formal-btn: #66b2ff;
}

* {
  box-sizing: border-box;
  font-family: "Roboto", sans-serif;
}
.contact-detail {
  list-style: none;
  background: var(--conatainer);
}
.contact-detail p {
  font-family: "Lora", sans-serif;
  font-size: 16px;
}
.contact-detail li:nth-child(2) {
  font-family: "Roboto", sans-serif;
  font-weight: 500;
  color:var(--container-text);
}
.timline-section {
  background: var(--conatainer);
  min-height: 100vh;
  padding: 100px 15px;
}

.timeline-items {
  max-width: 1000px;
  margin: auto;
  display: flex;
  flex-wrap: wrap;
  position: relative;
}
.timeline-items::before {
  content: "";
  position: absolute;
  width: 2px;
  height: 100%;
  background-color: var(--links-and-buttons);
  left: calc(50% - 1px);
}
.timeline-item {
  background-color: var(--conatainer);
  margin-bottom: 40px;
  width: 100%;
}

.timeline-item:nth-child(odd) {
  padding-right: calc(50% + 30px);
  text-align: right;
}

.timeline-item:nth-child(even) {
  padding-left: calc(50% + 30px);
}
.timeline-item:last-child {
  margin-bottom: 0;
}
.timeline-dot {
  height: 16px;
  width: 16px;
  background: var(--hover-higlight);
  position: absolute;
  left: calc(50% - 8px);
  border-radius: 50%;
}

.timeline-date {
  color: var(--container-text);
}

.timeline-content {
  background: var(--background);
  padding: 30px;
  border-radius: 5px;
}
.timeline-content h3{
  color: var(--container-text);
}
.follow-icon {
  display: flex;
}
.follow-icon span {
  background: var(--background);
  height: 38px;
  width: 38px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 5px 10px 10px #4c4c4c;
  color: var(--container-text);
}
.follow-icon span:hover {
  scale: 1.2;
  transition: 0.2s;
}
@media (max-width:1000px) {
  .aboutMe{
    display: flex;
    flex-direction: column-reverse !important;
    margin-top: 1rem !important;
  }
 }
 @media (max-width:500px) {
  .timeline-item:nth-child(odd) {
    text-align: center;
    padding-right: 0 !important;
  }
  .timeline-item{
    position: relative;
  }
  .timeline-item:nth-child(even){
    text-align: center;
    padding-left: 0 !important;
  }
  .timeline-dot{
    margin-top: -1rem;
  }
 }
